/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.bonus.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class PmExtraDto extends BaseDto {
	
	private static final long	serialVersionUID	= 7831064255432230175L;
	
	// フィールド
	private String				kCode;										// 社員コード
	private String				gender;									// 性別
	private Date				birthDate;									// 生年月日
	private String				formerName;								// 旧姓
	private String				postalCode;								// 郵便番号
	private String				address;									// 現住所
	private String				formerAddress;								// 旧住所
	private String				phoneNumber;								// 電話番号
	private String				cellphoneNumber;							// 携帯番号
	private String				emergencyNumber;							// 緊急番号
	private Date				appointmentDate;							// 正社員登用日
	private Date				retireMoneyDate;							// 退職金起算日
	private Date				extraDate1;								// 追加日付1
	private String				extraItem1;								// 追加項目1
																			
	
	/**
	 * コンストラクタ
	 */
	public PmExtraDto() {
		super();
	}
	
	// アクセサメソッド
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public String getGender() {
		return gender;
	} // 性別
	
	public Date getBirthDate() {
		return getDateField(birthDate);
	} // 生年月日
	
	public String getFormerName() {
		return formerName;
	} // 旧姓
	
	public String getPostalCode() {
		return postalCode;
	} // 郵便番号
	
	public String getAddress() {
		return address;
	} // 現住所
	
	public String getFormerAddress() {
		return formerAddress;
	} // 旧住所
	
	public String getPhoneNumber() {
		return phoneNumber;
	} // 電話番号
	
	public String getCellphoneNumber() {
		return cellphoneNumber;
	} // 携帯番号
	
	public String getEmergencyNumber() {
		return emergencyNumber;
	} // 緊急番号
	
	public Date getAppointmentDate() {
		return getDateField(appointmentDate);
	} // 正社員登用日
	
	public Date getRetireMoneyDate() {
		return getDateField(retireMoneyDate);
	} // 退職金起算日
	
	public Date getExtraDate1() {
		return getDateField(extraDate1);
	} // 追加日付1
	
	public String getExtraItem1() {
		return extraItem1;
	} // 追加項目1
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setGender(String gender) {
		this.gender = gender;
	} // 性別
	
	public void setBirthDate(Date birthDate) {
		this.birthDate = getDateField(birthDate);
	} // 生年月日
	
	public void setFormerName(String formerName) {
		this.formerName = formerName;
	} // 旧姓
	
	public void setPostalCode(String postalCode) {
		this.postalCode = postalCode;
	} // 郵便番号
	
	public void setAddress(String address) {
		this.address = address;
	} // 現住所
	
	public void setFormerAddress(String formerAddress) {
		this.formerAddress = formerAddress;
	} // 旧住所
	
	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	} // 電話番号
	
	public void setCellphoneNumber(String cellphoneNumber) {
		this.cellphoneNumber = cellphoneNumber;
	} // 携帯番号
	
	public void setEmergencyNumber(String emergencyNumber) {
		this.emergencyNumber = emergencyNumber;
	} // 緊急番号
	
	public void setAppointmentDate(Date appointmentDate) {
		this.appointmentDate = getDateField(appointmentDate);
	} // 正社員登用日
	
	public void setRetireMoneyDate(Date retireMoneyDate) {
		this.retireMoneyDate = getDateField(retireMoneyDate);
	} // 退職金起算日
	
	public void setExtraDate1(Date extraDate1) {
		this.extraDate1 = getDateField(extraDate1);
	} // 追加日付1
	
	public void setExtraItem1(String extraItem1) {
		this.extraItem1 = extraItem1;
	} // 追加項目1
	
}
